commit:     f5f9b0967b80dd78b587883c30ec729c0dd587e7
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 28 08:34:23 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Apr 28 08:42:02 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f5f9b096

app-shells/bash-completion: Bump to 2.9

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 app-shells/bash-completion/Manifest                |   1 +
 .../bash-completion/bash-completion-2.9.ebuild     | 148 +++++++++++++++++++++
 2 files changed, 149 insertions(+)

diff --git a/app-shells/bash-completion/Manifest 
b/app-shells/bash-completion/Manifest
index 203d0a92140..cfe339f613e 100644
--- a/app-shells/bash-completion/Manifest
+++ b/app-shells/bash-completion/Manifest
@@ -1,3 +1,4 @@
 DIST bash-completion-2.7.tar.xz 280048 BLAKE2B 
88b09f451fd4e14daf8e139951a4b65aaa9d9b1d86dceade388a726ac7f3caff2546597695c3f0cbd5dd64e20472d0cf3e98e0f367898b81d696d4ccb8f2fb73
 SHA512 
514709ad2e5f6bd4e20027c7049a1144c1854a37b653d5c11fad1cdf7a46d0e1afca725d6ce75d49691149e0de57be85747f704ac1c429ef4cea114bfbff8fcd
 DIST bash-completion-2.8.tar.xz 286128 BLAKE2B 
a99faeb3c9ee2ea6d1cc9988e61951f4e688ac0b3c6837d1fd43381519fedf5f95167e8dbc166543b0235f3ac61d92af35eb8399efc0cd297a62849071dee5c7
 SHA512 
d839ef5a98811a2aade7ebdc0bc84c84a41c74db384f89913b06f3c25add1ba22528ac25392b19d27280685d258c74dcdc11247cbaae5b8d82f2c0b546abc268
+DIST bash-completion-2.9.tar.xz 305788 BLAKE2B 
c8a05bbb16fb671d73025c2fc579f77569251974a57fa4125a8e0aebcbed4e50fc1a47b9743abab0264599ffdef30b33cb540c6c3ab0d8a3577c6dda95f622b6
 SHA512 
e864091196d670699bdb2af3fc40464788e79c932fa564afa7ba34a637aa1583db7dbceab0e7ba6718fac99e9fd2dfb03d1ee51d7cf279d925ad63f60401d7d5
 DIST bashcomp-2.0.2.tar.gz 3625 BLAKE2B 
ebd835e23634e8a7491467ad66c53941763cea43bad75fe24982d3885be2d2ba132e5273a655fec34705224315d7a3f0248c030fb7685fc613ac4f489cde5bf5
 SHA512 
46bc1bcc32263135f44be68569459a409250dd2c81c18190735f11e13a26508e9d3cb91d24a8fe7b21bdea678347873b7ac1b67d5e8c78c8444011f85dfdcdce

diff --git a/app-shells/bash-completion/bash-completion-2.9.ebuild 
b/app-shells/bash-completion/bash-completion-2.9.ebuild
new file mode 100644
index 00000000000..41547998e7a
--- /dev/null
+++ b/app-shells/bash-completion/bash-completion-2.9.ebuild
@@ -0,0 +1,148 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+BASHCOMP_P=bashcomp-2.0.2
+PYTHON_COMPAT=( python3_{5,6,7} )
+inherit python-any-r1
+
+DESCRIPTION="Programmable Completion for bash"
+HOMEPAGE="https://github.com/scop/bash-completion";
+SRC_URI="
+       
https://github.com/scop/bash-completion/releases/download/${PV}/${P}.tar.xz
+       https://bitbucket.org/mgorny/bashcomp2/downloads/${BASHCOMP_P}.tar.gz";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris"
+IUSE="test"
+RESTRICT="test"
+
+# completion collision with net-fs/mc
+RDEPEND=">=app-shells/bash-4.3_p30-r1:0
+       sys-apps/miscfiles
+       !app-eselect/eselect-bashcomp
+       !!net-fs/mc"
+DEPEND="app-arch/xz-utils
+       test? (
+               ${RDEPEND}
+               app-misc/dtach
+               dev-util/dejagnu
+               dev-tcltk/tcllib
+               $(python_gen_any_dep '
+                       dev-python/pexpect[${PYTHON_USEDEP}]
+                       dev-python/pytest[${PYTHON_USEDEP}]
+               ')
+       )"
+PDEPEND=">=app-shells/gentoo-bashcomp-20140911"
+
+strip_completions() {
+       # Remove unwanted completions.
+       local strip_completions=(
+               # Slackware package stuff, quite generic names cause collisions
+               # (e.g. with sys-apps/pacman)
+               explodepkg installpkg makepkg pkgtool removepkg upgradepkg
+
+               # Debian/Red Hat network stuff
+               ifdown ifup ifstatus
+
+               # Installed in app-editors/vim-core
+               xxd
+
+               # Now-dead symlinks to deprecated completions
+               hd ncal
+       )
+       if [[ ${ARCH} != *-fbsd && ${ARCH} != *-freebsd ]]; then
+               strip_completions+=(
+                       freebsd-update kldload kldunload portinstall portsnap
+                       pkg_deinstall pkg_delete pkg_info
+               )
+       fi
+
+       local file
+       for file in "${strip_completions[@]}"; do
+               rm "${ED}"/usr/share/bash-completion/completions/${file} ||
+                       die "stripping ${file} failed"
+       done
+
+       # remove deprecated completions (moved to other packages)
+       rm "${ED}"/usr/share/bash-completion/completions/_* || die
+}
+
+python_check_deps() {
+       has_version "dev-python/pexpect[${PYTHON_USEDEP}]" &&
+       has_version "dev-python/pytest[${PYTHON_USEDEP}]"
+}
+
+src_prepare() {
+       eapply "${WORKDIR}/${BASHCOMP_P}/${PN}"-2.1_p*.patch
+       # Bug 543100, update bug 601194
+       eapply "${FILESDIR}/${PN}-2.1-escape-characters-r1.patch"
+       eapply_user
+}
+
+src_test() {
+       # Tests need an interactive shell, #477066
+       # idea stolen from:
+       # 
http://pkgs.fedoraproject.org/cgit/rpms/bash-completion.git/tree/bash-completion.spec
+
+       # real-time output of the log ;-)
+       touch "${T}/dtach-test.log" || die
+       tail -f "${T}/dtach-test.log" &
+       local tail_pid=${!}
+
+       # override the default expect timeout and buffer size to avoid tests
+       # failing randomly due to cold cache, busy system or just more output
+       # than upstream anticipated (they run tests on pristine docker
+       # installs of binary distros)
+       nonfatal dtach -N "${T}/dtach.sock" \
+               bash -c 'emake check RUNTESTFLAGS="OPT_TIMEOUT=300 
OPT_BUFFER_SIZE=1000000" PYTESTFLAGS="-vv" \
+                       &> "${T}"/dtach-test.log; echo ${?} > 
"${T}"/dtach-test.out'
+
+       kill "${tail_pid}"
+       [[ -f ${T}/dtach-test.out ]] || die "Unable to run tests"
+       [[ $(<"${T}"/dtach-test.out) == 0 ]] || die "Tests failed"
+}
+
+src_install() {
+       # work-around race conditions, bug #526996
+       mkdir -p "${ED}"/usr/share/bash-completion/{completions,helpers} || die
+
+       emake DESTDIR="${D}" profiledir="${EPREFIX}"/etc/bash/bashrc.d install
+
+       strip_completions
+
+       dodoc AUTHORS CHANGES CONTRIBUTING.md README.md
+
+       # install the eselect module
+       insinto /usr/share/eselect/modules
+       doins "${WORKDIR}/${BASHCOMP_P}/bashcomp.eselect"
+       doman "${WORKDIR}/${BASHCOMP_P}/bashcomp.eselect.5"
+}
+
+pkg_postinst() {
+       local v
+       for v in ${REPLACING_VERSIONS}; do
+               if ver_test "${v}" -lt 2.1-r90; then
+                       ewarn "For bash-completion autoloader to work, all 
completions need to"
+                       ewarn "be installed in 
/usr/share/bash-completion/completions. You may"
+                       ewarn "need to rebuild packages that installed 
completions in the old"
+                       ewarn "location. You can do this using:"
+                       ewarn
+                       ewarn "$ find ${EPREFIX}/usr/share/bash-completion 
-maxdepth 1 -type f '!' -name 'bash_completion' -exec emerge -1v {} +"
+                       ewarn
+                       ewarn "After the rebuild, you should remove the old 
setup symlinks:"
+                       ewarn
+                       ewarn "$ find ${EPREFIX}/etc/bash_completion.d -type l 
-delete"
+               fi
+       done
+
+       if has_version 'app-shells/zsh'; then
+               elog
+               elog "If you are interested in using the provided bash 
completion functions with"
+               elog "zsh, valuable tips on the effective use of bashcompinit 
are available:"
+               elog "  http://www.zsh.org/mla/workers/2003/msg00046.html";
+               elog
+       fi
+}

Reply via email to